<head>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <title>Add music - Spotify</title>
</head>
{% include 'navbar.html' %}

<div style="display: flex; justify-content:center; padding-top:100px;">
    <a href="{{ url_for('index') }}"><img height=50px width=170px src="{{ url_for('static',filename='img/SpotifyLogoBlack.png') }}" alt="Spotify"></a>
</div>
<hr>
<div style="display: flex; justify-content:center;">
    <form action="POST">
        {{ form.hidden_tag() }}
        <h5 style="text-align: center"> <b>Add Music</b> </h5>
        <div class="form-group">
            {{ form.name(size=64) }}<br> {% for error in form.name.errors %}
            <span style="color: red;">[{{ error }}]</span> {% endfor %}
        </div>
        <div class="form-group">
            {{ form.genre(size=64) }}<br> {% for error in form.genre.errors %}
            <span style="color: red;">[{{ error }}]</span> {% endfor %}
        </div>
        <div class="form-group">
            {{ form.cover_img(size=64) }}<br> {% for error in form.cover_img.errors %}
            <span style="color: red;">[{{ error }}]</span> {% endfor %}
        </div>
        <div class="form-group">
            {{ form.song_file_location(size=64) }}<br> {% for error in form.song_file_location.errors %}
            <span style="color: red;">[{{ error }}]</span> {% endfor %}
        </div>
        <div class="form-group">
            {{ form.artist(size=64) }}<br> {% for error in form.artist.errors %}
            <span style="color: red;">[{{ error }}]</span> {% endfor %}
        </div>
        <div class="form-group">
            {{ form.submit() }}
        </div>
    </form>
</div>
{% include 'footer.html' %}